Skip to main content
GET
/
organization
/
service-accounts
/
{service_account_id}
/
api-keys
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "key_id": "<string>",
      "preview": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "revoked_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revoked_by_user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "last_used_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

service_account_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null
reverse
boolean
default:false

Response

Successful Response

items
ServiceAccountApiKeyRead · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics